Page MenuHomePhabricator

Audit projects' use of NFS, and remove it where not necessary
Open, LowPublic

Description

most projects don't need NFS (homedirs, shared space, scratch space, public dumps) by default, and mounting them by default makes their reliability contingent on NFS reliability. Go through them and unmount all possible things.

/public/keys is already unmounted on non-precise instances.

Related Objects

StatusSubtypeAssignedTask
Resolved yuvipanda
OpenAndrew
DuplicateNone
Resolved yuvipanda
DeclinedNone
ResolvedKrinkle
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolvedhashar
Resolvedhashar
Resolved yuvipanda
Resolved yuvipanda
OpenNone
Declined yuvipanda
Resolved yuvipanda
ResolvedNone
Resolved yuvipanda
ResolvedAndrew
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
OpenNone
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
ResolvedNegative24
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolvedhashar
Resolvedhashar
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
OpenNone
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolvedcoren
Resolved yuvipanda
Resolved yuvipanda
Resolvedjkroll
ResolvedKrinkle
OpenAndrew
ResolvedBstorm
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
ResolvedKrenair
ResolvedAndrew
ResolvedBstorm
ResolvedAndrew
ResolvedNone
ResolvedAndrew
Resolvedjsn.sherman
ResolvedAndrew
ResolvedAndrew
OpenAndrew
ResolvedAndrew
ResolvedSmalyshev

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
yuvipanda moved this task from To Do to Doing on the Labs-Sprint-104 board.Jun 29 2015, 6:41 PM
yuvipanda moved this task from To Do to Doing on the Labs-Sprint-105 board.Jul 6 2015, 6:06 PM
yuvipanda removed yuvipanda as the assignee of this task.Nov 13 2015, 3:02 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 13 2015, 3:02 AM
chasemp triaged this task as High priority.Nov 30 2015, 4:24 PM

https://wikitech.wikimedia.org/wiki/Recover_instance_from_NFS may be helpful to some, although it looks like Yuvi has done almost everything here

greg added a subscriber: greg.Sep 29 2016, 7:41 PM

This follow-up task from an incident report has not been updated recently. If it is no longer valid, please add a comment explaining why. If it is still valid, please prioritize it appropriately relative to your other work. If you have any questions, feel free to ask me (Greg Grossmeier).

Krenair changed the status of subtask T208411: Check whether quarry project requires NFS or not from Invalid to Resolved.Oct 31 2018, 1:59 PM
Bstorm assigned this task to Andrew.Feb 25 2020, 5:50 PM
Bstorm moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.
Andrew lowered the priority of this task from High to Low.Feb 28 2020, 6:50 PM

Still waiting on a trickle of user responses but the vast majority of this work is done and the load on NFS from cloud-vps projects is largely under control.